<?php

namespace B2buy\SupplierMaster;

use DB;
use Illuminate\Database\Seeder;

class PolicyTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('policies')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'supplier_master.policy.view',
                'name'      => 'View Policy',
            ],
            [
                'slug'      => 'supplier_master.policy.create',
                'name'      => 'Create Policy',
            ],
            [
                'slug'      => 'supplier_master.policy.edit',
                'name'      => 'Update Policy',
            ],
            [
                'slug'      => 'supplier_master.policy.delete',
                'name'      => 'Delete Policy',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'supplier_master.policy.verify',
                'name'      => 'Verify Policy',
            ],
            [
                'slug'      => 'supplier_master.policy.approve',
                'name'      => 'Approve Policy',
            ],
            [
                'slug'      => 'supplier_master.policy.publish',
                'name'      => 'Publish Policy',
            ],
            [
                'slug'      => 'supplier_master.policy.unpublish',
                'name'      => 'Unpublish Policy',
            ],
            [
                'slug'      => 'supplier_master.policy.cancel',
                'name'      => 'Cancel Policy',
            ],
            [
                'slug'      => 'supplier_master.policy.archive',
                'name'      => 'Archive Policy',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/supplier_master/policy',
                'name'        => 'Policy',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/supplier_master/policy',
                'name'        => 'Policy',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'policy',
                'name'        => 'Policy',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'SupplierMaster',
                'module'    => 'Policy',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'supplier_master.policy.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
