# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/b2buy/supplier_master/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/b2buy/supplier_master/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "B2buy\\SupplierMaster\\": "packages/b2buy/supplier_master/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        B2buy\SupplierMaster\Providers\SupplierMasterServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'SupplierMaster'  => B2buy\SupplierMaster\Facades\SupplierMaster::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=B2buy\\SupplierMasterTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="B2buy\SupplierMaster\Providers\SupplierMasterServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="B2buy\SupplierMaster\Providers\SupplierMasterServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="B2buy\SupplierMaster\Providers\SupplierMasterServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/supplier_master/{modulename}

**User**

    http://path-to-route-folder/user/supplier_master/{modulename}

**Public**

    http://path-to-route-folder/supplier_masters


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/supplier_master/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/supplier_master/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/supplier_master/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/supplier_master/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/supplier_master/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/supplier_master/{modulename}/{slug}
    METHOD: GET