<?php

namespace B2buy\SupplierMaster\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SupplierMasterTransformer extends TransformerAbstract
{
    public function transform(\B2buy\SupplierMaster\Models\SupplierMaster $supplier_master)
    {
        return [
            'id'                => $supplier_master->getRouteKey(),
            'key'               => [
                'public'    => $supplier_master->getPublicKey(),
                'route'     => $supplier_master->getRouteKey(),
            ], 
            'seller_id'         => $supplier_master->seller_id,
            'master_id'         => $supplier_master->master_id,
            'type'              => $supplier_master->type,
            'name'              => $supplier_master->name,
            'code'              => $supplier_master->code,
            'amount'            => $supplier_master->amount,
            'abbr'              => $supplier_master->abbr,
            'description'       => $supplier_master->description,
            'order'             => $supplier_master->order,
            'slug'              => $supplier_master->slug,
            'deleted_at'        => $supplier_master->deleted_at,
            'url'               => [
                'public'    => trans_url('supplier_master/'.$supplier_master->getPublicKey()),
                'user'      => guard_url('supplier_master/supplier_master/'.$supplier_master->getRouteKey()),
            ], 
            'status'            => trans('app.'.$supplier_master->status),
            'created_at'        => format_date($supplier_master->created_at),
            'updated_at'        => format_date($supplier_master->updated_at),
        ];
    }
}